libapache2-mod-wsgi_4.6.5-1_amd64.deb


Advertisement

Description

libapache2-mod-wsgi - Python WSGI adapter module for Apache

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libapache2-mod-wsgi_4.6.5-1_amd64.deb
Package name libapache2-mod-wsgi
Package version 4.6.5
Package release 1
Package architecture amd64
Package type deb
Category devel::lang:python httpd implemented-in::c role::plugin suite::apache
Homepage http://www.modwsgi.org/
License -
Maintainer Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Download size 92.64 KB
Installed size 280.00 KB

Alternatives

Package Version Architecture Repository
libapache2-mod-wsgi_4.6.5-1_i386.deb 4.6.5 i386 Debian Main
libapache2-mod-wsgi - - -

Requires

Name Value
apache2-api-20120211 -
apache2-bin >= 2.4.16
libc6 >= 2.14
libpython2.7 >= 2.7
python << 2.8
python >= 2.7

Provides

Name Value
httpd-wsgi -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libapache2-mod-wsgi_4.6.5-1_amd64.deb
Source Package mod-wsgi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapache2-mod-wsgi deb package:
    # sudo apt-get install libapache2-mod-wsgi

Files

Path
/etc/apache2/mods-available/wsgi.conf
/etc/apache2/mods-available/wsgi.load
/usr/lib/apache2/modules/mod_wsgi.so
/usr/lib/apache2/modules/mod_wsgi.so-2.7
/usr/share/doc/libapache2-mod-wsgi/README.rst.gz
/usr/share/doc/libapache2-mod-wsgi/changelog.Debian.gz
/usr/share/doc/libapache2-mod-wsgi/copyright
/usr/share/python/runtime.d/libapache2-mod-wsgi.rtupdate

Changelog

2019-02-03 - Bernd Zeimetz <bzed@debian.org>
mod-wsgi (4.6.5-1) unstable; urgency=medium
[ Ondřej Nový ]
* [1156399] d/control: Set Vcs-* to salsa.debian.org
* [8d40d79] d/changelog: Remove trailing whitespaces
* [884363a] d/rules: Remove trailing whitespaces
* [dd1e447] Convert git repository from git-dpm to gbp layout
[ Chris Lamb ]
* [198441f] Remove trailing whitespaces.
[ Bernd Zeimetz ]
* [edb69c7] Removing manually generated changelog
* [acfabb5] Update upstream source from tag 'upstream/4.6.5'
Update to upstream version '4.6.5'
with Debian dir 154521a9e9f32e6ed349daeda7f53e913cd70e3c
* [d76c822] Add debian/.gitlab-ci.yml
2017-07-09 - Bernd Zeimetz <bzed@debian.org>
mod-wsgi (4.5.17-1) unstable; urgency=medium
[ Felix Geyer ]
* [0e844af] Remove myself from Uploaders.
[ Scott Kitterman ]
* [8a3cee5] * Fix min/max Python 3 version determination for multiple versions.   (closes: #866575)
[ Bernd Zeimetz ]
* [f2fada2] Merge tag 'upstream/4.5.17'
Upstream version 4.5.17
2016-12-29 - Bernd Zeimetz <bzed@debian.org>
mod-wsgi (4.5.11-1) unstable; urgency=medium
* [8d515a5] Merge tag 'upstream/4.5.11'
Upstream version 4.5.11
2016-12-03 - Bernd Zeimetz <bzed@debian.org>
mod-wsgi (4.5.9-1) unstable; urgency=medium
* [ac3148d] Merge tag 'upstream/4.5.9'
Upstream version 4.5.9
2016-09-25 - Bernd Zeimetz <bzed@debian.org>
mod-wsgi (4.5.7-1) unstable; urgency=medium
[ SVN-Git Migration ]
* [ebb4318] Initialize git-dpm
* [2794e79] git-dpm config
* [94c1950] Update Vcs fields for git migration
[ Bernd Zeimetz ]
* [4b3b7b8] Merge tag 'upstream/4.4.21'
Upstream version 4.4.21
* [8c2e3d6] Merge remote-tracking branch 'origin/master'
* [8013cf8] Merge tag 'upstream/4.5.7'
Upstream version 4.5.7
Closes: #791617
* [1d01c26] Removing patches.
* [a148e62] snapshot changelog.
* [cffb965] remove changes in configure.ac
2015-09-15 - Thomas Goirand <zigo@debian.org>
mod-wsgi (4.4.13-0.1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Ran wrap-and-sort -t -a.
2014-10-05 - Bernd Zeimetz <bzed@debian.org>
mod-wsgi (4.3.0-1) unstable; urgency=medium
[ Felix Geyer ]
* Shorten the rules file using the dh(1) helper.
* Add autopkgtests.
[ Bernd Zeimetz ]
* New upstream release.
2014-08-09 - Bernd Zeimetz <bzed@debian.org>
mod-wsgi (4.2.7-1) unstable; urgency=medium
* New upstream release.
* Use find instead of a simple cp to copy the source into build
directories.
* README was renamed to README.rst
2014-05-21 - Felix Geyer <fgeyer@debian.org>
mod-wsgi (3.5-1) unstable; urgency=high
* New upstream release.
- Fixes CVE-2014-0240: Local privilege escalation when using daemon mode.
* Drop fix_crash_daemon_mode.patch, applied upstream.
* Refresh python-config.patch.
* Drop obsolete shlibs.local.
* Update watch file to check GitHub instead of Google Code.
* Bump Standards-Version to 3.9.5, no changes needed.
2013-08-10 - Felix Geyer <fgeyer@debian.org>
mod-wsgi (3.4-4) unstable; urgency=low
* Fix wsgi applications segfaulting when run in daemon mode under Apache 2.4.
Thanks to Stephan Adig. (Closes: #719304)
- Add fix_crash_daemon_mode.patch, cherry-picked from upstream.
* Add myself as uploader.

See Also

Package Description
libapache2-mod-xforward_0.6-1_amd64.deb Apache module implements redirection based on X-Forward response header
libapache2-mod-xsendfile_0.12-2_amd64.deb Serve large static files efficiently from web applications
libapache2-mpm-itk_2.4.7-04-1_amd64.deb multiuser module for Apache
libapache2-reload-perl_0.13-2_all.deb module for reloading Perl modules when changed on disk
libapache2-request-perl_2.13-5+b3_amd64.deb generic Apache request library - Perl modules
libapache2-sitecontrol-perl_1.05-2_all.deb perl web site authentication/authorization system
libapacheds-i18n-java_2.0.0~M24-3_all.deb Apache Directory Server (i18n)
libapacheds-java_2.0.0~M24-3_all.deb Apache Directory Server (Libraries)
libapacheds-kerberos-codec-java_2.0.0~M24-3_all.deb Apache Directory Server (Kerberos Codec)
libapertium3-3.5-1_3.5.2-1_amd64.deb Shared library for Apertium
libapksig-java_0.8-3_all.deb library to sign and verify Android APKs
libapophenia2-dev_1.0+ds-7+b13_amd64.deb Apophenia Statistical C Library -- development package
libapophenia2_1.0+ds-7+b13_amd64.deb Apophenia Statistical C Library -- library package
libapp-cache-perl_0.37-2_all.deb Easy application-level caching library for perl
libapp-cell-perl_0.222-1_all.deb configuration, error-handling, localization, and logging "framework"
Advertisement
Advertisement